• 0
Labian

Seattle Android Ошибка exited with code 1

Вопросы

Создаю пустой проект, выбираю компиляцию под андройд вылезает ошибка. Пути к SDK и java верные.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

31 ответ на этот вопрос

  • 0
4 часа назад, Labian сказал:

Создаю пустой проект, выбираю компиляцию под андройд вылезает ошибка. Пути к SDK и java верные.

Такая же проблема на Берлине у меня, что-то с сдк кажется.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
8 часов назад, Labian сказал:

Пути к SDK и java верные.

если так, то все нормально компилируется

я не переставлял SDK/NDK XE7 -> Seattle -> Berlin. Все работало норм

Потом переставил JDK, вписал нужный путь и опять все хорошо.

Не забывайте, что java нужна 32-бит, IDE-же 32битное

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
4 часа назад, krapotkin сказал:

если так, то все нормально компилируется

  • поставил Берлин
  • не снимал галки с установки SDk
  • создал новый проект для андроида
  • сразу ошибку выдал
  • скачал SDK android 6.0, установил дефолтным
  • поставил последний JDK (для уверенности и 32 бита и 64 бита)
  • теперь компилирует, собирает библиотеку, но не создается апк

Все это запущено на виртуалке, чтобы рабочую сиетл не грохнуть

что можно еще предпринять?

дело было в sdk, скопировал из сиетла и норм

Изменено пользователем ZuBy

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

у меня было после установки предупреждение по поводу sdk об установке  нажал установить и все заработало (при первой компиляции по ведро)

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
2 часа назад, ZuBy сказал:
  • Все это запущено на виртуалке, чтобы рабочую сиетл не грохнуть

Можно ставить и на рабочую машину, Сиетл не пострадает

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
  1. Скачать отдельно SDK, можно обновить при необходимости. 
  2. При установке Seattle установить только NDK (пути оставить по умолчанию). У кого стоит уже Seattle и NDK можно пропустить.
  3. Прописать путь к новому SDK как у меня в настройках Android.
  4. По желанию можно поставить JDK той же версии, как и у меня. 

01.png 02.png02.png

Изменено пользователем Satellite

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
В 06.07.2016 в 14:33, Satellite сказал:
  1. Скачать отдельно SDK, можно обновить при необходимости. 
  2. При установке Seattle установить только NDK (пути оставить по умолчанию). У кого стоит уже Seattle и NDK можно пропустить.
  3. Прописать путь к новому SDK как у меня в настройках Android.
  4. По желанию можно поставить JDK той же версии, как и у меня. 

01.png 02.png02.png

Обновил SDK до 25, пути верные, версия JDK такая же. 

Нашел причину ошибки, при отключение библиотек, пытается скомпилить, но появляется другая ошибка:

[PAClient Error] Error: E2312 Unable to execute ...Пути к папке проекта(Все файлы существуют)...(Error -1073741819) 

При компиляции с любой включенной библиотекой ошибка как в названии темы, файлы jar на месте.

 

 

 

 

3.jpg

Изменено пользователем Labian
Обновил JDK, Отключил библиотеки jar

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

Тоже столкнулся с такой ошибкой при компиляции проекта. SDK ставил 25.2.2

На XE 10 все сталкиваются с этой ошибкой?

Кстати, поможет ли исправление ошибки, если установить отдельно SDK ? Сейчас проверим :)

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

К сожалению не помогло, выдает все ту же ошибку exited with code 1:

[

Цитата

Exec Error] The command "PATH C:\Program Files\Java\jdk1.7.0_25\bin;C:\Users\Public\Documents\Embarcadero\InterBase\redist\InterBaseXE7\IDE_spoof;C:\Program Files (x86)\Embarcadero\Studio\18.0\bin;C:\Users\Public\Documents\Embarcadero\Studio\18.0\Bpl;C:\Program Files (x86)\Embarcadero\Studio\18.0\bin64;C:\Users\Public\Documents\Embarcadero\Studio\18.0\Bpl\Win64;C:\Program Files (x86)\CollabNet;C:\Program Files (x86)\Embarcadero\Studio\14.0\bin;C:\Users\Public\Documents\Embarcadero\Studio\14.0\Bpl;C:\Program Files (x86)\Embarcadero\Studio\14.0\bin64;C:\Users\Public\Documents\Embarcadero\Studio\14.0\Bpl\Win64;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common;%OPENCV_DIR%\bin;C:\Users\lazy\.dnx\bin;C:\Program Files\Microsoft DNX\Dnvm\;C:\Program Files (x86)\Windows Kits\8.1\Windows Performance Toolkit\;C:\Program Files (x86)\Skype\Phone\ & "C:\Users\Public\Documents\Embarcadero\Studio\18.0\PlatformSDKs\android-sdk-windows\build-tools\24.0.3\dx.bat" --dex --output="D:\ProjectC\_MOBILE\Mobile_CreditCalc\Android\Debug\classes.dex" "c:\program files (x86)\embarcadero\studio\18.0\lib\Android\Debug\android-support-v4.dex.jar" "c:\program files (x86)\embarcadero\studio\18.0\lib\Android\Debug\cloud-messaging.dex.jar" "c:\program files (x86)\embarcadero\studio\18.0\lib\Android\Debug\fmx.dex.jar" "c:\program files (x86)\embarcadero\studio\18.0\lib\Android\Debug\google-analytics-v2.dex.jar" "c:\program files (x86)\embarcadero\studio\18.0\lib\Android\Debug\google-play-billing.dex.jar" "c:\program files (x86)\embarcadero\studio\18.0\lib\Android\Debug\google-play-licensing.dex.jar" "c:\program files (x86)\embarcadero\studio\18.0\lib\Android\Debug\google-play-services.dex.jar" " exited with code 1.

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

Вроде бы получилось исправить ошибку, нужно было изменить переменные среды, вот тут есть описание:

http://docwiki.embarcadero.com/RADStudio/XE8/en/Installing_the_Android_Development_Tools_Manually

И плюс это:

http://www.webdelphi.ru/2013/08/vvedenie-v-razrabotku-pod-android-instrumenty-razrabotchika/

Но теперь проблемы с созданием apk на устройстве:

111.png

Без бутылки походу не разобраться :)

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
10 часов назад, Прикладной сказал:

Тоже столкнулся с такой ошибкой при компиляции проекта. SDK ставил 25.2.2

На XE 10 все сталкиваются с этой ошибкой?

Кстати, поможет ли исправление ошибки, если установить отдельно SDK ? Сейчас проверим :)

Не могу сейчас найти. Хотите — верьте, хотите — проверьте, на прошлой неделе, буквально, читал во глубинах developer.android.com, что SDK 23 пока самый работоспособный релиз. Наверное имелся ввиду 23.3, этой версией пользуюсь.

С более поздними версиями были аналогичные проблемы, описанные в топике.

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
3 часа назад, Pax Beach сказал:

Не могу сейчас найти. Хотите — верьте, хотите — проверьте, на прошлой неделе, буквально, читал во глубинах developer.android.com, что SDK 23 пока самый работоспособный релиз. Наверное имелся ввиду 23.3, этой версией пользуюсь.

С более поздними версиями были аналогичные проблемы, описанные в топике.

 

Вполне возможно, сейчас пока нет возможности проверить такой варик

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

Нашел только 24.4 версию SDK, попробовал компильнуть - выпало в ошибку:

Цитата

[bccaarm Fatal Error] sysmac.h(1465): 'type_traits' file not found

Чертовщина какая-то :(

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
5 часов назад, Прикладной сказал:

Нашел только 24.4 версию SDK, попробовал компильнуть - выпало в ошибку:

Чертовщина какая-то :(

Как понять «нашел»?

А Android Tools не дает скачать нужную версию SDK?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
В 20.10.2016 в 06:18, Pax Beach сказал:

Как понять «нашел»?

Ставил совместно с RAD 24. С оф.сайта качается только 25 версия (на скрине выделил).

 

1111.png

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
2 минуты назад, Прикладной сказал:

Ставил совместно с RAD 24. С оф.сайта качается только 25 версия (на скрине выделил).

 

1111.png

Нас интересует SDK build tools. То, что участвует в построении Android программ.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
10 минут назад, Pax Beach сказал:

Нас интересует SDK build tools

Спасибо большое за просвещение, я думал нужно ставить Android SDK Tools, чуть позже, вечером, попробую поставить 23

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

К сожалению ошибка все та же:

Цитата

[bccaarm Fatal Error] sysmac.h(1465): 'type_traits' file not found

Вот уже поднимался этот вопрос:

Походу нужно Берлин обновлять :(

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
В 21.10.2016 в 18:44, Прикладной сказал:

[bccaarm Fatal Error] sysmac.h(1465): 'type_traits' file not found

Решил проблему с этой ошибкой при компиляции: установил android-ndk-r9d вместо android-ndk-r13 и прописал нужные пути в NDK. Проект компилится без ошибок, вроде :) 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
Спойлер

2015_10_06_18_10_49_6d3c863bae8d7b38a3f25914747f30b8[1].jpg

 

Создание Android приложений с NDK R13

Не мог смириться с суевериями ), и решил сам проверить. Delphi не дружит с линкером (компоновщиком) версии 4.9, а с 4.8 дружит нормально.

Все остальное на вкладке NDK использую из последнего релиза.

С сегодняшнего дня, я живу вот так:

 

2016-10-24_01-33-49.png

 

PS: Интересно, если компоновщик брать из каталога другой архитектуры, приложения заработают корректно на устройствах с Intel?

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 1

Задался тут вопросом обновления версии Android NDK...

Delphi 10.2 Tokio:

- android-ndk-r14b-windows-x86_64 - скомпилировалось, но при запуске приложения на андроиде сбоит и виснет;

- android-ndk-r15-beta1-windows-x86_64 - полёт нормальный.. всё работает )

P.S> может кому пригодится

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
7 часов назад, Nik сказал:

Задался тут вопросом обновления версии Android NDK...

Delphi 10.2 Tokio:

- android-ndk-r14b-windows-x86_64 - скомпилировалось, но при запуске приложения на андроиде сбоит и виснет;

- android-ndk-r15-beta1-windows-x86_64 - полёт нормальный.. всё работает )

P.S> может кому пригодится

Скрины настроек каталогов SDK и NDK пожалуйста

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти


  • Похожий контент

    • От magicxor
      При простом GET-запросе на эти URL:
      https://accounts.google.com/AddSession?hl=ru&continue=https://www.google.com/%3Fgws_rd%3Dssl
      https://accounts.google.com/Logout?hl=ru&continue=https://www.google.com/%3Fgws_rd%3Dssl&timeStmp=1463418874
      Возникает исключение:
      В инди такой проблемы нет, она отдаёт контент HTML страницы, как и положено.
      Потестить можно через C:\Users\Public\Documents\Embarcadero\Studio\18.0\Samples\Object Pascal\RTL\HttpAsyncDownload
      Это очередной баг?
      (использую Delphi 10.1 Berlin)
    • От Alex924
      Может кто-то поделиться Хотфиксом утечки памяти для Rad Studio 10 Seattle Update 1 с Embarcadero Developer Network? Нигде не могу найти
      Ссылка с хотфиксом: http://cc.embarcadero.com/item/30453
    • От zekelive
      Добрый день, друзья. Делаю приложение для одного местного форума, и столкнулся с задачей выборки текста между тэгами. Вроде бы все не плохо, но есть одно но.
      ТЭГ <br /> означает переход на новую строку (Enter), пытался реализовать это, но не получается. Если кто сталкивался, подскажите как лучше реализовать.
       
      Исходный текст:
      Добрый день.<br />Хочу предложить оригинальные и не оригинальные запасные части на автомобили корейского производства <br />KIA, Hyundai, Ssang Yong, с БЕСПЛАТНОЙ ДОСТАВКОЙ до нашего микрорайона. <br />Так же в продаже имеются оригинальные масла.<br />Так же возможен заказ сроком от 1 до 5 дней.<br /><br /><br />P.S. сам проживаю в 6 корп. так что могу доставить хоть один фильтр, так что спрашивайте буду рад помочь.<br />
       
      b:=false; endpos:=1; repeat     if pos ('<br />',subtext) <> 0  then     begin     startPos := PosEx('<br />', subtext,endPos)+6;     endPos := PosEx('<br />', subtext, startPos)+6;     context:=Copy(subtext, startPos, endPos - startPos);     Delete (subtext,Pos ('<br />',subtext),6);     strlist.Add(context);     end     else     b:=true;     until b;     end; Должно в итоге получится в таком виде:
       
      Добрый день.
      Хочу предложить оригинальные и не оригинальные запасные части на автомобили корейского производства 
      KIA, Hyundai, Ssang Yong, с БЕСПЛАТНОЙ ДОСТАВКОЙ до нашего микрорайона. 
      Так же в продаже имеются оригинальные масла.
      Так же возможен заказ сроком от 1 до 5 дней.


      P.S. сам проживаю в 6 корп. так что могу доставить хоть один фильтр, так что спрашивайте буду рад помочь.
    • От alexbirukov
      И так, пока русскоязычная и англоязычная части интернета молчат по поводу работы в новой Delphi XE10 Seattle в связке с xCode 7, а компании представители описывают, какое замечательное вышло обновление, пользователи столкнулись с проблемой, что приложения, сделанные на XE10 Seattle, xCode 7 + SDK9, не запускаются на предыдущих платформах.
      Не совсем понятно, почему в упомянутых сегментах интернета нет совершенно никакой информации по данному поводу. Опять впереди планеты все Китай.
      Пользователь блога подробно описывает конфигурацию, на которой он тестировал запуск приложения и описание проблемы. Несколько реальных устройств на разных прошивках, разные версии ПО и пр.
      Коротко о главном. Если вы хотите, как можно скорей перейти на новую Delphi XE10 Seattle с целью писать свежие приложения\обновления для iOS, спешу вас разочаровать. Ваши программы перестанут работать на предыдущих версиях iOS. Статистика испытаний такова, что приложения собранные на XE10 Seattle, xCode 7 + SDK9 будут работать только на устройствах под управлением iOS9.
      Вторая проблема, состоит в том, что недавнего времени AppStore при проверке приложений стала проверять их именно на iOS 9, а приложения собранные на XE8.1 такую проверку не проходят, так как зависают на стартовой заставке приложения и как следствие их отклоняют. Вот так то. Прошла уже целая неделя, а интернет по данному поводу ничего сказать нам особо не может.
      На днях появилась статья от Сарины Дю Понт, о том, как всё же запустить приложение сделанные в XE8.1 на iOS9.
      В результате изысканий Китайских друзей, получаем на данный момент такую картину:
      XE8 + iOS 6 = полёт нормальный
      XE8 + iOS 7 = полёт нормальный
      XE8 + iOS 8 = полёт нормальный
      XE8 + iOS 9 = зависание на экране заставки (если не воспользоваться советом Сарины)
      XE10 + iOS 6 = приложение вылетает
      XE10 + iOS 7 = приложение вылетает
      XE10 + iOS 8 = приложение вылетает
      XE10 + iOS 9 = полёт нормальный
      Таким образом в XE10 Seattle и xCode 7 можно получить на данный момент только приложение, работающее на iOS9.
      Ждём Delphi XE10 Seattle Update 1.
      P.S. А в на Android в Delphi XE10 Seattle приложение с компонентами для отправки Push не запускается в режиме Release — Application Store. Что тоже, очень и очень печально.
  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу